[从零开始的宝可梦乱撞] 添加脚本

时代是在进步的,原先的Pokemon Essentials是源于GBA时代的游戏进行开发的。画面肯定不如现在游戏画面的色彩。

作为一个新时代的游戏玩家,游戏画面精密是很多玩家玩下去的动力。

所以多姿多彩的游戏脚本则是你的最佳选择

下面用luka大神的[精英战斗系统]做一个对比.

Elite Battle System

以上是对Essentials的直观升级。它的创建类似于场景和行为方面的第5代战斗系统。所有脚本和图形都是100%即插即用的。该系统不支持GIF,并且未针对Gen 6游戏进行样式或优化,因此提供的资源以及场景元素的定位将不适用于新的Gen 6 Sprite /图形资源。

1)首先安装所需的依赖脚本[Luka脚本工具]安装方法与第二步一样

Luka’s Scripting Utilities


2)下载此包并将其内容解压到您项目的根目录。请注意,此操作可能会覆盖项目中已经存在的文件,因此,如果要还原更改,请保留项目的备份。

3)复制内容script.txt 进入脚本编辑器,确保它们位于正上方的自己的脚本部分中 主要,但低于其任何依赖关系。

注:有关第二步有人会出现各种各样的情况,或者开启游戏会出现错误等等

下面我将会出现的情况进行列出!

1.不会下载

这里我给出国内下载链接,因为是7月2日的下载所以不清楚以后会不会更新,最好在官网进行下载

2.不会安装

这个应该是出现最多的了吧,下面我将详细安装过程写出来。

第一步:下载好脚本将压缩包整个解压至Essentials文件目录

第二步:打开解压包里面的script.txt,复制其全部内容,然后打开游戏工程的脚本编辑器,拉到最底下面,在main脚本的上方插入,最后复制进去

注:Luka脚本工具必须在main的上方,main脚本必须在最底下,所有跟Luka脚本工具有依附的脚本必须在Luka脚本工具的下方,在Main脚本的上方!像这样!:

[Luka脚本工具]

[精英战斗系统]

[空(添加对Luka脚本有依附的脚本)]

[main]

3.出现错误

首先目录不能有中文,win系统用户不能为中文(C:\Users)里看看自己的账号是不是中文,如果是那就修改用户文件名